# Generated by Django 5.0.6 on 2025-01-02 12:00

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0041_agentsourceapiconnections"),
    ]

    operations = [
        migrations.CreateModel(
            name="ExchangeRate",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=255)),
                ("description", models.TextField()),
                ("link", models.URLField()),
                ("date", models.DateTimeField()),
                ("value", models.FloatField()),
                ("base_currency", models.CharField(max_length=10)),
                ("target_currency", models.CharField(max_length=10)),
                ("default_value", models.FloatField(blank=True, null=True)),
                (
                    "default_title",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                ("default_description", models.TextField(blank=True, null=True)),
                ("default_link", models.URLField(blank=True, null=True)),
                ("is_custom", models.BooleanField(default=False)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "agent_source_api_connection",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="exchange_rates",
                        to="accounts.agentsourceapiconnections",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="exchange_rates",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
